Create withdrawals
curl --request POST \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
[
{
"quantity": "<string>",
"assetType": "<string>",
"info": {
"destinationId": "<string>"
}
}
]
'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals"
payload = [
{
"quantity": "<string>",
"assetType": "<string>",
"info": { "destinationId": "<string>" }
}
]
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{quantity: '<string>', assetType: '<string>', info: {destinationId: '<string>'}}
])
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"index": 1,
"id": "<string>",
"status": "SUCCESS"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Create withdrawals
Permissions required: Initiate withdrawals
Begin one or more withdrawals from the account identified by accountId.
POST
/
accounts
/
{accountId}
/
withdrawals
Create withdrawals
curl --request POST \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
[
{
"quantity": "<string>",
"assetType": "<string>",
"info": {
"destinationId": "<string>"
}
}
]
'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals"
payload = [
{
"quantity": "<string>",
"assetType": "<string>",
"info": { "destinationId": "<string>" }
}
]
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{quantity: '<string>', assetType: '<string>', info: {destinationId: '<string>'}}
])
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"index": 1,
"id": "<string>",
"status": "SUCCESS"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Headers
Path Parameters
Body
application/json
Withdrawals to create
Was this page helpful?